### Hierarchy

- PrivateKeyInput
  - SignPrivateKeyInput

## Index

### Properties

- format
- key
- padding
- passphrase
- saltLength
- type

## Properties

### Optional format

format: KeyFormat

Inherited from PrivateKeyInput.format

- Defined in node_modules/@types/node/crypto.d.ts:247

### key

key: string | Buffer

Inherited from PrivateKeyInput.key

- Defined in node_modules/@types/node/crypto.d.ts:246

### Optional padding

padding: undefined | number

- Defined in node_modules/@types/node/crypto.d.ts:265

### Optional passphrase

passphrase: string | Buffer

Inherited from PrivateKeyInput.passphrase

- Defined in node_modules/@types/node/crypto.d.ts:249

### Optional saltLength

saltLength: undefined | number

- Defined in node_modules/@types/node/crypto.d.ts:266

### Optional type

type: "pkcs1" | "pkcs8" | "sec1"

Inherited from PrivateKeyInput.type

- Defined in node_modules/@types/node/crypto.d.ts:248

Generated using TypeDoc